SESD(8)

NAME
sesd - monitor SCSI Environmental Services Devices

SYNOPSIS
sesd [-d] [-t poll-interval] device [device ...]

DESCRIPTION
sesd monitors SCSI Environmental Services (or SAF-TE) devices for changes in state and logs such changes changes to the system error logger (see syslogd(8)). At least one device must be specified. When no other options are supplied, sesd detaches and becomes a daemon, by default waking up every 30 seconds to poll each device for a change in state.

The following options may be used:

-d  Instead of detaching and becoming a daemon, stay attached to the controlling terminal and log changes there as well as via the system logger.

-t poll-interval
    Change the interval of polling from the default 30 seconds to the number of seconds specified.

The user may then use getencstat(8) to get more detailed information about the state of the over enclosure device or objects within the enclosure device.

FILES
/dev/sesN
    SCSI Environmental Services Devices

SEE ALSO
ses(4), getencstat(8), setencstat(8), setobjstat(8), syslogd(8)

BUGS
This is something of a toy, but it is better than nothing.